package com.gic.haoban.manage.web.vo.order.refund;

import java.io.Serializable;
import java.util.Date;

/**
 * 商城订单协商记录表
 * @TableName tab_gic_mall_order_exchange_consult
 */
public class OrderExchangeConsultVO implements Serializable {
    /**
     * 协商记录id
     */
    private String orderExchangeConsultId;

    /**
     * 退款记录id
     */
    private String orderExchangeId;

    /**
     * 消息类型:1 系统信息,2 协商信息 3物流信息，4商品信息
     */
    private Integer msgType;

    /**
     * 买家还是卖家：1买家，2卖家
     */
    private Integer role;
    
    private String reason ;

    /**
     * 卖家与买家操作记录信息
     */
    private String msg;

    /**
     * 扩展信息json
     */
    private String extJson;

    /**
     * 协商信息(买家换货说明/商家拒绝说明)
     */
    private String remark;

    /**
     * 协商信息图片地址
     */
    private String imgUrl;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;
    
    private ConsultOperVO operInfo ;
    
    public ConsultOperVO getOperInfo() {
        return operInfo;
    }

    public void setOperInfo(ConsultOperVO operInfo) {
        this.operInfo = operInfo;
    }

    public String getReason() {
        return reason;
    }

    public void setReason(String reason) {
        this.reason = reason;
    }

    /**
     * 协商记录id
     */
    public String getOrderExchangeConsultId() {
        return orderExchangeConsultId;
    }

    /**
     * 协商记录id
     */
    public void setOrderExchangeConsultId(String orderExchangeConsultId) {
        this.orderExchangeConsultId = orderExchangeConsultId;
    }

    /**
     * 退款记录id
     */
    public String getOrderExchangeId() {
        return orderExchangeId;
    }

    /**
     * 退款记录id
     */
    public void setOrderExchangeId(String orderExchangeId) {
        this.orderExchangeId = orderExchangeId;
    }

    /**
     * 消息类型:1 系统信息,2 协商信息 3物流信息，4商品信息
     */
    public Integer getMsgType() {
        return msgType;
    }

    /**
     * 消息类型:1 系统信息,2 协商信息 3物流信息，4商品信息
     */
    public void setMsgType(Integer msgType) {
        this.msgType = msgType;
    }

    /**
     * 买家还是卖家：1买家，2卖家
     */
    public Integer getRole() {
        return role;
    }

    /**
     * 买家还是卖家：1买家，2卖家
     */
    public void setRole(Integer role) {
        this.role = role;
    }

    /**
     * 卖家与买家操作记录信息
     */
    public String getMsg() {
        return msg;
    }

    /**
     * 卖家与买家操作记录信息
     */
    public void setMsg(String msg) {
        this.msg = msg;
    }

    /**
     * 扩展信息json
     */
    public String getExtJson() {
        return extJson;
    }

    /**
     * 扩展信息json
     */
    public void setExtJson(String extJson) {
        this.extJson = extJson;
    }

    /**
     * 协商信息(买家换货说明/商家拒绝说明)
     */
    public String getRemark() {
        return remark;
    }

    /**
     * 协商信息(买家换货说明/商家拒绝说明)
     */
    public void setRemark(String remark) {
        this.remark = remark;
    }

    /**
     * 协商信息图片地址
     */
    public String getImgUrl() {
        return imgUrl;
    }

    /**
     * 协商信息图片地址
     */
    public void setImgUrl(String imgUrl) {
        this.imgUrl = imgUrl;
    }

    /**
     * 创建时间
     */
    public Date getCreateTime() {
        return createTime;
    }

    /**
     * 创建时间
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 更新时间
     */
    public Date getUpdateTime() {
        return updateTime;
    }

    /**
     * 更新时间
     */
    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
}